Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message
Class UpnpMessage<O extends UpnpOperation>

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<O>

Direct Known Subclasses:
  IncomingDatagramMessage, OutgoingDatagramMessage, StreamRequestMessage, StreamResponseMessage

    public abstract class UpnpMessage<O extends UpnpOperation>

extends Object

Nested Class Summary
`static class` | `UpnpMessage.BodyType`

Constructor Summary
`protected` | `UpnpMessage(O operation)`
`protected` | `UpnpMessage(O operation, UpnpMessage.BodyType bodyType, Object body)`
`protected` | `UpnpMessage(UpnpMessage<O> source)`

Method Summary
`Object` | `getBody()`
`byte[]` | `getBodyBytes()`
`String` | `getBodyString()`
`UpnpMessage.BodyType` | `getBodyType()`
`UpnpHeaders` | `getHeaders()`
`O` | `getOperation()`
`int` | `getUdaMajorVersion()`
`int` | `getUdaMinorVersion()`
`boolean` | `hasBody()`
`void` | `logHeaders()`
`void` | `setBody(UpnpMessage.BodyType bodyType, Object body)`
`void` | `setBodyType(UpnpMessage.BodyType bodyType)`
`void` | `setHeaders(UpnpHeaders headers)`
`void` | `setOperation(O operation)`
`void` | `setUdaMajorVersion(int udaMajorVersion)`
`void` | `setUdaMinorVersion(int udaMinorVersion)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UpnpMessage

    protected UpnpMessage(UpnpMessage<O> source)

### UpnpMessage

    protected UpnpMessage(O operation)

### UpnpMessage

    protected UpnpMessage(O operation,
                          UpnpMessage.BodyType bodyType,
                          Object body)

Method Detail

### getUdaMajorVersion

    public int getUdaMajorVersion()

### setUdaMajorVersion

    public void setUdaMajorVersion(int udaMajorVersion)

### getUdaMinorVersion

    public int getUdaMinorVersion()

### setUdaMinorVersion

    public void setUdaMinorVersion(int udaMinorVersion)

### getHeaders

    public UpnpHeaders getHeaders()

### setHeaders

    public void setHeaders(UpnpHeaders headers)

### getBody

    public Object getBody()

### setBody

    public void setBody(UpnpMessage.BodyType bodyType,
                        Object body)

### hasBody

    public boolean hasBody()

### getBodyType

    public UpnpMessage.BodyType getBodyType()

### setBodyType

    public void setBodyType(UpnpMessage.BodyType bodyType)

### getBodyString

    public String getBodyString()

### getBodyBytes

    public byte[] getBodyBytes()

### getOperation

    public O getOperation()

### setOperation

    public void setOperation(O operation)

### logHeaders

    public void logHeaders()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.